Show / Hide Table of Contents

# AsyncPointerUpTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPointerUpTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IPointerUpHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncPointerUpTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IPointerUpHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnPointerUpAsyncHandler() |
GetOnPointerUpAsyncHandler(CancellationToken) |
OnPointerUpAsync() |
OnPointerUpAsync(CancellationToken) |

### Methods

#### GetOnPointerUpAsyncHandler()

    public IAsyncOnPointerUpHandler GetOnPointerUpAsyncHandler()

##### Returns

IAsyncOnPointerUpHandler

#### GetOnPointerUpAsyncHandler(CancellationToken)

    public IAsyncOnPointerUpHandler GetOnPointerUpAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnPointerUpHandler

#### OnPointerUpAsync()

    public UniTask<PointerEventData> OnPointerUpAsync()

##### Returns

UniTask<PointerEventData>

#### OnPointerUpAsync(CancellationToken)

    public UniTask<PointerEventData> OnPointerUpAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IPointerUpHandler